# frozen_string_literal: true
class RecruiterMailer < ApplicationMailer
  def candidate_created candidate
    @candidate = Candidate.find_by(id: candidate.to_i)

    mail to: @candidate.recruiter.email,
         subject: "Skills Assessment Test - #{candidate.name}"
  end

  def candidate_submitted candidate
    @candidate = Candidate.find_by(id: candidate.to_i)

    mail to: @candidate.recruiter.email,
         subject: "Skills Assessment Test - #{candidate.name}"
  end

  def candidate_reviewed candidate
    @candidate = Candidate.find_by(id: candidate.to_i)

    mail to: @candidate.recruiter.email,
         subject: "Skills Assesment - Review Complete for #{candidate.name}"
  end
end
